# norootforbuild

%define		realname	libcue
%define		soname		1

Name:		%{realname}%{soname}
Version:	1.4.0
Release:	3.2

Summary:	A CUE sheet parser
License:	GPLv2
Group:		System/Libraries
URL:		http://sourceforge.net/projects/libcue/

Source0:	%{realname}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{realname}-%{version}-build


%description
Libcue is intended to parse a so called cue sheet from a char string or a file
pointer. For handling of the parsed data a convenient API is available.
This project is meant as a fork of cuetools by Svend Sorensen which saw it last
release in 02/2006.


%package -n %{realname}-devel
Group:		Development/Libraries/C and C++
Summary:	Development package for %{realname}
Requires:	%{name} = %{version}

%description -n %{realname}-devel
This package contains the files needed to compile programs that use the
%{realname} library.




%prep
%setup -q -n %{realname}-%{version}


%build
%configure --disable-static
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall
%__rm -f %{buildroot}/%{_libdir}/libcue.la


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_libdir}/libcue.so.1
%{_libdir}/libcue.so.1.0.4

%files -n %{realname}-devel
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS
%{_includedir}/libcue-1.4
%{_libdir}/libcue.so
%{_libdir}/pkgconfig/libcue.pc


%changelog
* Sat May 08 2010 Detlef Reichelt <detlef@links2linux.de> - 1.4.0
- new upstream version <1.4.0>
  * force make to *not* build things in parallel since this tends to mess things up
  * update copyright
  * fix compiler warning: input() defined but not used
  * new flex behaviour: explicitly enable yylineno usage
  * new automake macro name
  * possible fix for compilation problems on win32
  * update COPYING and corrected copyright notices in several source code files
  * Update general COPYRIGHT notice as well as several file specific notifications
  * update ChangeLog and NEWS

* Wed Mar 17 2010 Detlef Reichelt <detlef@links2linux.de> - 1.3.0
- initial build for PackMan <1.3.0>
